Skip to main content
POST
/
whatsapp
/
phone_numbers
/
{phone_number}
/
verify
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

await client.whatsapp.phoneNumbers.verify('phone_number', { code: 'code' });
{
  "errors": [
    {
      "code": "<string>",
      "title": "<string>",
      "detail": "<string>",
      "source": {
        "pointer": "<string>",
        "parameter": "<string>"
      },
      "meta": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

phone_number
string
required

Phone number (E.164 format)

Body

application/json
code
string
required

Response

Verified successfully